Update Notification Template
Updates an existing notification template.
NOTE: Limit for selected Resource Kinds count is 30.
NOTE: Limit for selected Stats count is 30.
Notification template as payload
Show optional properties
{
"name": "string",
"pluginTypeId": "string"
}
"{\n \"templateId\" : \"a8107b20-0a38-4d7c-8292-dae0e5ca9f49\",\n \"pluginTypeId\" : \"WebhookPlugin\",\n \"name\" : \"Template\",\n \"description\" : \"WebhookPlugin Description\",\n \"contentConfigs\" : [ {\n \"baseResourceKindKeyStats\" : {\n \"resourceKindKey\" : {\n \"resourceKind\" : \"Resource kind\",\n \"adapterKind\" : \"Adapter kind\"\n },\n \"stats\" : [ \"Property key\", \"Stat key\" ]\n },\n \"ancestorResourceKindKeys\" : [ {\n \"resourceKindKey\" : {\n \"resourceKind\" : \"Ancestor Resource kind\",\n \"adapterKind\" : \"Ancestor Adapter kind\"\n },\n \"stats\" : [ \"Ancestor Stat Key\", \"Ancestor Property Key\" ]\n } ],\n \"descendantResourceKindKeys\" : [ {\n \"resourceKindKey\" : {\n \"resourceKind\" : \"Descendant Resource kind\",\n \"adapterKind\" : \"Descendant Adapter kind\"\n },\n \"stats\" : [ \"Descendant Property Key\", \"Descendant Stat Key\" ]\n } ]\n } ],\n \"formattingTemplate\" : {\n \"type\" : \"WEBHOOK_TEMPLATE\",\n \"newAlertTemplate\" : {\n \"endpoint\" : \"/endpoint\",\n \"headers\" : [ {\n \"key\" : \"Content-type\",\n \"value\" : \"application/json\"\n }, {\n \"key\" : \"Header Key\",\n \"value\" : \"Header Value\"\n } ],\n \"method\" : \"POST\",\n \"payload\" : \"{\\\"startDate\\\":\\\"${CREATE_TIME}\\\"}\"\n }\n },\n \"templateType\" : \"ALERT\"\n}"
Attached rule count of the Notification template
A set of template content configs
Description of the Notification template
Indicates whether the template is editable or not
Formatting template
Latest user UUID which modified the template
Last time the template is modified
Name of the Notification template
Notification template type
Notification template identifier
Collection of template properties. Applicable only for WebhookPlugin and EmailPlugin.
Notification Template Type
The updated notification template
"{\n \"templateId\" : \"a8107b20-0a38-4d7c-8292-dae0e5ca9f49\",\n \"pluginTypeId\" : \"WebhookPlugin\",\n \"name\" : \"Template\",\n \"description\" : \"WebhookPlugin Description\",\n \"contentConfigs\" : [ {\n \"baseResourceKindKeyStats\" : {\n \"resourceKindKey\" : {\n \"resourceKind\" : \"Resource kind\",\n \"adapterKind\" : \"Adapter kind\"\n },\n \"stats\" : [ \"Property key\", \"Stat key\" ]\n },\n \"ancestorResourceKindKeys\" : [ {\n \"resourceKindKey\" : {\n \"resourceKind\" : \"Ancestor Resource kind\",\n \"adapterKind\" : \"Ancestor Adapter kind\"\n },\n \"stats\" : [ \"Ancestor Stat Key\", \"Ancestor Property Key\" ]\n } ],\n \"descendantResourceKindKeys\" : [ {\n \"resourceKindKey\" : {\n \"resourceKind\" : \"Descendant Resource kind\",\n \"adapterKind\" : \"Descendant Adapter kind\"\n },\n \"stats\" : [ \"Descendant Property Key\", \"Descendant Stat Key\" ]\n } ]\n } ],\n \"formattingTemplate\" : {\n \"type\" : \"WEBHOOK_TEMPLATE\",\n \"newAlertTemplate\" : {\n \"endpoint\" : \"/endpoint\",\n \"headers\" : [ {\n \"key\" : \"Content-type\",\n \"value\" : \"application/json\"\n }, {\n \"key\" : \"Header Key\",\n \"value\" : \"Header Value\"\n } ],\n \"method\" : \"POST\",\n \"payload\" : \"{\\\"startDate\\\":\\\"${CREATE_TIME}\\\"}\"\n }\n },\n \"templateType\" : \"ALERT\"\n}"
Attached rule count of the Notification template
A set of template content configs
Description of the Notification template
Indicates whether the template is editable or not
Formatting template
Latest user UUID which modified the template
Last time the template is modified
Name of the Notification template
Notification template type
Notification template identifier
Collection of template properties. Applicable only for WebhookPlugin and EmailPlugin.
Notification Template Type
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","pluginTypeId":"string"}' https://{api_host}/suite-api/api/notifications/templates